IPS Community Suite 4.1.4.1

Released 11/22/2015

This is a security release and we recommend all clients upgrade as soon as possible.

Key Changes

Please note that this version requires PHP 5.4.0 or above. Before upgrading, go to AdminCP -> System -> Support and check the PHP version in the right-side column. If you do not have PHP 5.4.0 or greater, contact your hosting provider and ask them to upgrade your PHP version before continuing.

This is a maintenance release to fix common issues reported from 4.1.3. Many issues were fixed and performance enhancements introduced.

  • New option to allow Menu Manager items to open in new browser tab
  • Image proxy feature can now cache images locally

Update for 4.1.4.1

  • Fixes an issue with saving certain group settings
  • Fixes an issue with upgrading Commerce

Additional Information

Two security resolutions are included in this release:

  • Special circumstances made it possible to reveal the AdminCP session ID.
  • The image proxy feature that could lead to out of memory errors when processing certain images.
  • An XSS issue in Gallery is present in certain circumstances.

 

We would like to thank LinusMediaGroup for reporting the AdminCP session ID issue to us responsibly.

We would like to thank Stephan Brunner batpool52! and Tobias Sachs (Twitter: @Knightyyyy1) for reporting and working with us on the image proxy issue.

We would like to thank newbie LAC for reporting the Gallery XSS issue to us responsibly.